package com.ruoyi.ehsEnterprise.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ehsEnterprise.domain.EhsEnterprise;

/**
 * 企业基本信息Service接口
 *
 * @author ruoyi
 * @date 2023-12-08
 */
public interface IEhsEnterpriseService extends IService<EhsEnterprise> {

	/**
	 * 查询企业基本信息
	 *
	 * @param enterpriseId 企业基本信息主键
	 * @return 企业基本信息
	 */
	public EhsEnterprise selectEhsEnterpriseByEnterpriseId(Long enterpriseId);

	/**
	 * 查询企业基本信息列表
	 *
	 * @param ehsEnterprise 企业基本信息
	 * @return 企业基本信息集合
	 */
	public List<EhsEnterprise> selectEhsEnterpriseList(EhsEnterprise ehsEnterprise);

}
