package com.ruoyi.ehsIndexStatistics.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 功能描述
 *
 * @author: 马腾达
 * @date: 2023年12月12日 13:22
 */
@Data
public class EhsIndexStatistics {

    /**
     * 名称
     */
    private String name;

    /**
     * 单位数量
     */
    private Integer unitNum;

    /**
     * 隐患数量
     */
    private Integer hiddenDangerNum;

    /**
     * 已整改
     */
    private Integer haveRectifiedNum;

    /**
     * 未整改
     */
    private Integer notRectifiedNum;

    /**
     * 过期未整改
     */
    private Integer exceedNotRectifiedNum;

    /**
     * 整改治理资金
     */
    private BigDecimal rectifyMoneySum;

    /**
     * 整改率
     */
    private String rectifyRate;

}
