package com.ruoyi.ehsLawEnforce.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class LawEnforceImportTemplate {
    @Excel(name = "单位名称", type = Excel.Type.ALL)
    private String enterpriseName;
    @Excel(name = "地址", type = Excel.Type.ALL)
    private String location;
    @Excel(name = "负责人", type = Excel.Type.ALL)
    private String responsiblePerson;
    @Excel(name = "联系电话", type = Excel.Type.ALL)
    private String phone;
    @Excel(name = "存在隐患", type = Excel.Type.ALL)
    private String risk;
    @Excel(name = "是否是重大隐患(Y是,N否)", type = Excel.Type.ALL)
    private String isLargeRisk;
    @Excel(name = "整改措施", type = Excel.Type.ALL)
    private String rectificationMeasure;
    @Excel(name = "整改责任人", type = Excel.Type.ALL)
    private String rectificationPeople;
    @Excel(name = "企业类别(输入1,2,3..参考企业类别信息sheet)", type = Excel.Type.ALL)
    private Integer enterpriseCategory;
    @Excel(name = "企业人数", type = Excel.Type.ALL)
    private Long employeeNum;
    @Excel(name = "是否建立双预防(Y是,N否)", type = Excel.Type.ALL)
    private String isEstablishPrevention;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间(格式为2023-12-12)", width = 30, dateFormat = "yyyy-MM-dd", type = Excel.Type.ALL)
    private Date time;
    @Excel(name = "其他", type = Excel.Type.ALL)
    private String other;
    @Excel(name = "备注", type = Excel.Type.ALL)
    private String remark;
}
