package com.ruoyi.ehsDocument.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ehsDocument.domain.EhsDocument;

import java.util.List;

/**
 * 公文管理Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-07
 */
public interface EhsDocumentMapper extends BaseMapper<EhsDocument> {
    /**
     * 查询公文管理
     *
     * @param id 公文管理主键
     * @return 公文管理
     */
    public EhsDocument selectEhsDocumentById(Long id);

    /**
     * 查询公文管理列表
     *
     * @param ehsDocument 公文管理
     * @return 公文管理集合
     */
    public List<EhsDocument> selectEhsDocumentList(EhsDocument ehsDocument);

    /**
     * 获取拟稿部门下拉列表
     * @return
     */
    List<String> getAllDraftDept();
}
