package com.ruoyi.ehsMaterialDetail.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ehsMaterialDetail.domain.EhsMaterialDetail;

/**
 * 资源管理出库入库明细Service接口
 *
 * @author ruoyi
 * @date 2023-12-05
 */
public interface IEhsMaterialDetailService extends IService<EhsMaterialDetail> {

	/**
	 * 查询资源管理出库入库明细
	 *
	 * @param materialDetailId 资源管理出库入库明细主键
	 * @return 资源管理出库入库明细
	 */
	public EhsMaterialDetail selectEhsMaterialDetailByMaterialDetailId(Long materialDetailId);

	/**
	 * 查询资源管理出库入库明细列表
	 *
	 * @param ehsMaterialDetail 资源管理出库入库明细
	 * @return 资源管理出库入库明细集合
	 */
	public List<EhsMaterialDetail> selectEhsMaterialDetailList(EhsMaterialDetail ehsMaterialDetail);
	/**
	 * 按主表id删除未执行指令的记录
	 *
	 * @param materialId 物资表ID
	 * @return 结果
	 */
	public int deleteEhsMaterialDetailByMaterialId(Long materialId);
}
